<template>
  <v-app id="app">
    <v-app-bar app color="deep-purple" dense absolute dark>
      <v-toolbar-title>Car Rent</v-toolbar-title>
    </v-app-bar>

    <v-navigation-drawer app expand-on-hover rail>
      <v-list>
        <v-list-item
          prepend-avatar=""
          :title="user.name"
          :subtitle="user.name"
        ></v-list-item>
      </v-list>

      <v-divider></v-divider>

      <v-list density="compact" nav>
        <v-list-item
          prepend-icon="mdi-view-dashboard"
          title="Dashboard"
          value="dashboard"
          to="/"
        >
        </v-list-item>
        <v-list-item
          prepend-icon="mdi-car"
          title="Vehicles"
          value="vehicles"
          to="vehicles"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-account-box"
          title="User"
          value="user"
          to="user"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-logout"
          title="Logout"
          value="logout"
          @click="logout()"
        ></v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-main>
      <router-view></router-view>
    </v-main>

    <v-footer absolute padless app>
      <v-col class="text-center" cols="12">
        {{ new Date().getFullYear() }} — <strong>Vuetify</strong>
      </v-col>
    </v-footer>
  </v-app>
</template>

<script lang="ts">
import { defineComponent } from "vue";

import { useUserStore } from "@/stores/user";
import { useRouter } from "vue-router";

export default defineComponent({
  setup() {
    const user = useUserStore();
    const router = useRouter();

    const logout = () => {
      useUserStore().logout;
      router.push("login");
    };

    return { user, logout };
  },
});
</script>
